List provider integrations
curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/provider-integrations \
--header 'Authorization: Bearer <token>'import requests
url = "https://{controlPlaneURL}/api/svc/v1/provider-integrations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{controlPlaneURL}/api/svc/v1/provider-integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "jqfwg345gi25n5ju2yz5iz6m",
"name": "<string>",
"fqn": "<string>",
"type": "blob-storage",
"providerAccountFqn": "<string>",
"tenantName": "<string>",
"createdBySubject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"manifest": {},
"metadata": {},
"providerAccount": {
"fqn": "<string>",
"provider": "aws",
"manifest": {},
"accountId": "<string>",
"id": "jqfwg345gi25n5ju2yz5iz6m",
"category": "model-provider-accounts",
"integrations": "<array>",
"createdBySubject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>"
}
],
"pagination": {
"total": 100,
"offset": 0,
"limit": 10
}
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}Provider Integrations
List provider integrations
List provider integrations the caller can read.
GET
/
api
/
svc
/
v1
/
provider-integrations
List provider integrations
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Number of items per page
Required range:
1 <= x <= 1000Example:
10
Number of items to skip
Required range:
x >= 0Example:
0
Provider integration type.
Available options:
blob-storage, secret-store, docker-registry, model, vcs, cluster, notification-channel, helm-repo, jwt-auth, mcp-server, guardrail-config, agent-registry, tfy-otel-collector Human-readable Fully Qualified Name of the provider integration. Cannot be provided together with id.
System-generated provider integration ID. Cannot be provided together with fqn.
Filter by provider integration name. Ignored when fqn or id is provided.
Filter by provider account name. Ignored when fqn or id is provided.
Comma-separated attributes to return. When provided, only those fields are fetched; id is included.
URL-encoded JSON array of model filters. Supported only when type is model.
Was this page helpful?